SDL-0.6.5: Binding to libSDL

Copyright | (c) David Himmelstrup 2005
License | BSD-like
Maintainer | lemmih@gmail.com
Stability | provisional
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.UI.SDL.WindowManagement

Description

Synopsis

- data GrabMode
  - = GrabQuery
  - | GrabOff
  - | GrabOn
- setCaption :: String -> String -> IO ()
- rawSetCaption :: Maybe String -> Maybe String -> IO ()
- getCaption :: IO (Maybe String, Maybe String)
- iconifyWindow :: IO Bool
- tryToggleFullscreen :: Surface -> IO Bool
- toggleFullscreen :: Surface -> IO ()
- grabInput :: Bool -> IO ()
- queryGrabMode :: IO GrabMode

# Documentation

data GrabMode Source

Constructors

GrabQuery |
GrabOff |
GrabOn |

Instances

Eq GrabMode Source |
Show GrabMode Source |

setCaption :: String -> String -> IO () Source

Sets the window title and icon name.

rawSetCaption :: Maybe String -> Maybe String -> IO () Source

Sets the window title and icon name. Use `Nothing` to unset.

getCaption :: IO (Maybe String, Maybe String) Source

Gets the window title and icon name.

iconifyWindow :: IO Bool Source

Iconify/Minimise the window.

tryToggleFullscreen :: Surface -> IO Bool Source

Toggles fullscreen mode. Returns `False` on error.

toggleFullscreen :: Surface -> IO () Source

Toggles fullscreen mode. Throws an exception on error.

grabInput :: Bool -> IO () Source

Grabbing means that the mouse is confined to the application window, and nearly all keyboard input is passed directly to the application, and not interpreted by a window manager, if any.

queryGrabMode :: IO GrabMode Source

Returns the current grabbing mode.